de.caff.generics

## Class DoubleIndexable.DoubleIndexableSpliterator

- java.lang.Object
- - de.caff.generics.DoubleIndexable.DoubleIndexableSpliterator

- All Implemented Interfaces:
    java.util.Spliterator<java.lang.Double>, java.util.Spliterator.OfDouble, java.util.Spliterator.OfPrimitive<java.lang.Double,java.util.function.DoubleConsumer,java.util.Spliterator.OfDouble>
  Enclosing interface:
    DoubleIndexable

      public static class DoubleIndexable.DoubleIndexableSpliterator
      extends java.lang.Object
      implements java.util.Spliterator.OfDouble

  Spliterator for double indexables.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Spliterator

      `java.util.Spliterator.OfDouble, java.util.Spliterator.OfInt, java.util.Spliterator.OfLong, java.util.Spliterator.OfPrimitive<T,T_CONS,T_SPLITR extends java.util.Spliterator.OfPrimitive<T,T_CONS,T_SPLITR>>`

  - ### Field Summary

    - ### Fields inherited from interface java.util.Spliterator

      `CONCURRENT, DISTINCT, IMMUTABLE, NONNULL, ORDERED, SIZED, SORTED, SUBSIZED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleIndexableSpliterator(DoubleIndexable indexable)` Instantiate a mutable spliterator for an double indexable.
    `DoubleIndexableSpliterator(DoubleIndexable indexable, int start, int fence, boolean immutable)` Instantiate a spliterator for part of an double indexable.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `characteristics()`
    `long` | `estimateSize()`
    `boolean` | `tryAdvance(java.util.function.DoubleConsumer action)`
    `java.util.Spliterator.OfDouble` | `trySplit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Spliterator.OfDouble

      `forEachRemaining, forEachRemaining, tryAdvance`

    - ### Methods inherited from interface java.util.Spliterator

      `getComparator, getExactSizeIfKnown, hasCharacteristics`

- - ### Constructor Detail

    - #### DoubleIndexableSpliterator

          public DoubleIndexableSpliterator(@NotNull
                                            DoubleIndexable indexable)

      Instantiate a mutable spliterator for an double indexable.
      Parameters:
        `indexable` - indexable of this spliterator

    - #### DoubleIndexableSpliterator

          public DoubleIndexableSpliterator(@NotNull
                                            DoubleIndexable indexable,
                                            int start,
                                            int fence,
                                            boolean immutable)

      Instantiate a spliterator for part of an double indexable.
      Parameters:
        `indexable` - indexable of this spliterator
        `start` - starting index of iteration
        `fence` - ending index of iteration, not included
        `immutable` - is the underlying indexable immutable? Use with care!

  - ### Method Detail

    - #### trySplit

          public java.util.Spliterator.OfDouble trySplit()

      Specified by:
        `trySplit` in interface `java.util.Spliterator<java.lang.Double>`
      Specified by:
        `trySplit` in interface `java.util.Spliterator.OfDouble`
      Specified by:
        `trySplit` in interface `java.util.Spliterator.OfPrimitive<java.lang.Double,java.util.function.DoubleConsumer,java.util.Spliterator.OfDouble>`

    - #### tryAdvance

          public boolean tryAdvance(@NotNull
                                    java.util.function.DoubleConsumer action)

      Specified by:
        `tryAdvance` in interface `java.util.Spliterator.OfDouble`
      Specified by:
        `tryAdvance` in interface `java.util.Spliterator.OfPrimitive<java.lang.Double,java.util.function.DoubleConsumer,java.util.Spliterator.OfDouble>`

    - #### estimateSize

          public long estimateSize()

      Specified by:
        `estimateSize` in interface `java.util.Spliterator<java.lang.Double>`

    - #### characteristics

          public int characteristics()

      Specified by:
        `characteristics` in interface `java.util.Spliterator<java.lang.Double>`